Posts by Nuxwin

    I has found one domain September ssl expired. But it's update failed unit to Oct. I has report to bug tracker.

    Well, you don't provide us sufficient information. As always when you're reporting an issue with a plugin, you need provide us with the following information:


    1. Distribution and codename
    2. i-MSCP version
    3. Plugin version (here, the i-MSCP LetsEncrypt plugin version)
    4. The letsencrypt logs for the renewal failure, located in the /var/log/letsencrypt directory
    5. The i-MSCP plugin logs, located in /var/log/imscp directory


    There can be some failures time to time due to the fact that the Let's Encrypt infrastructure can become unreachable and so on... but generally, those issues are solved in the next minutes. That's why the plugin automatically retry for the pending tasks every hour (here, the renewal tasks). Now, without the logs, we can't say anything more. There can be a bug in the plugin itself but it is difficult to say what's going on without further information.


    Thank you for your understanding ;)

    lestatminiyo


    Funny.... Can you explain us why you commented the Ondrej Sury repository lines and the MySQL repository lines in your /etc/apt/sources.list file? These repositories were added by i-MSCP and if you remove then, you cannot expect that all work as expected. Please, uncomment these repositories in your /etc/apt/sources.list file. Also please, remove the following stanza in the /etc/apt/preferences.d/imscp file:

    Code
    1. Package: openssl libssl-dev
    2. Pin: release o=Debian,n=stretch
    3. Pin-Priority: 1002

    Then, once done, execute:

    Code
    1. apt-get update
    2. apt-get dist-upgrade


    Finally, retry...


    Thread closed as this is not a bug but simply the result of a "sysadmin" that do all and anything by closing eyes :P

    Dear community,


    A new version of the PhpSwitcher plugin has just been released:



    Version compatible with i-MSCP Serie ≥ 1.5.3


    Once connected on our forums, you can purchase this plugin at: https://i-mscp.net/index.php/PaidSubscriptionList/

    Documentation is available at: https://wiki.i-mscp.net/doku.php?id=plugins:phpswitcher


    CHANGELOG

    • Fixed: Bad error handling in the Plugin::PhpSwitcher::_installDistributionPackages method (backend)
    • Fixed: Bad error handling in the Plugin::PhpSwitcher::_uninstallDistributionPackages method (backend)
    • Fixed: Domains' PHP versions are not reset-back to default PHP version when the plugin is being disabled (Closes #45)
    • Fixed: Don't trigger full reconfiguration of packaged PHP versions when they remain identical after the DPKG(1) post-invok tasks
    • Fixed: FPM - UDS for the default PHP version (for all domain using it) are not created when upgrading from version 4.0.3 bug (Closes #36)
    • Fixed: Pool configuration files (excepted www.conf) of all packaged PHP versions are removed on DPKG(1) post-invoke tasks (Closes #38)
    • Fixed: The GMP extension now uses autodetection; don't pass /usr to configure (PHP 7.4)
    • Fixed: Unknown iMSCP_Plugin_PhpSwitcher::loadConfig() method with i-MSCP plugin API >= 1.5.1
    • Fixed: Useless (unused) www.conf.default pool configuration file (compiled PHP versions)
    • Fixed: Weird behavior php_compiler.pl --register --packaged --packaged-only (Closes #43)
    • Fixed: When a PHP runtime depenency package cannot be installed, an error should be raised (Closes #42)
    • Fixed: When a requirement for a packaged PHP version is no longer meet after the DPKG(1) post-invoke - tasks, its deletion must be scheduled, and the PHP version of any site using it must be resetted to the default PHP version
    • Fixed: Wrong permissions set on the 50_psw_dpkg_post_invoke_tasks.pl listener file (Closes #46)
    • Refreshed: Patches for PHP 7.4.0RC4 (Closes #44)
    • Updated: php_compiler.pl script for use of PHP 7.4.0RC4 (Closes #44)


    Thank you for using our plugins.

    Normally I use the domainname of the user.

    Pop with 110 and SMTP without SSL 25


    "and SMTP without SSL 25" mean nothing for me ;) You need use the port 587 for the SMTP submissions, whenever the connexion is secured over TLS or not. You should be able to enable/disable TLS (STARTTLS), through your mail client. TLS is not mandatory ( smtpd_tls_security_level = maybe )


    See also: http://www.postfix.org/postcon…#smtpd_tls_security_level


    BTW: Not using TLS with latest i-MSCP is really not recommended are credential as sent plaintext...

    rr10111101


    Please edit your last answer and suround your copy-past with bbcode tags: [code] bla bla bla [/code]


    About your question: If you enable SSL for the services (which include the smtp server) through the i-MSCP installer (or while reconfiguration), you should still be able to authentication without SSL (not recommended). You need give us further details: How your client (using no ssl) are configured exactly?